--- a/src/common/compat/poll.h
+++ b/src/common/compat/poll.h
@@ -55,6 +55,10 @@ static inline void __lttng_poll_free(voi
 #include <features.h>
 #include <common/compat/fcntl.h>
 
+#ifndef __GLIBC_PREREQ
+#define __GLIBC_PREREQ(maj, min) (0)
+#endif
+
 /* See man epoll(7) for this define path */
 #define COMPAT_EPOLL_PROC_PATH "/proc/sys/fs/epoll/max_user_watches"
 
--- a/src/common/runas.h
+++ b/src/common/runas.h
@@ -21,6 +21,7 @@
 
 #include <unistd.h>
 #include <pthread.h>
+#include <sys/stat.h>
 
 int run_as_mkdir_recursive(const char *path, mode_t mode, uid_t uid, gid_t gid);
 int run_as_mkdir(const char *path, mode_t mode, uid_t uid, gid_t gid);
